Bug 11031 - python-all depending on specific python version breaks updating python modules
: python-all depending on specific python version breaks updating python modules
Status: NEW
Product: PyMaemo
General
: unspecified
: All Maemo
: Unspecified major with 12 votes (vote)
: ---
Assigned To: Anderson Lizardo
: general
:
:
:
:
  Show dependency tree
 
Reported: 2010-07-30 18:27 UTC by Nick Leppänen Larsson
Modified: 2010-08-04 13:32 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Nick Leppänen Larsson (reporter) 2010-07-30 18:27:25 UTC
SOFTWARE VERSION:
10.2010.19-1

EXACT STEPS LEADING TO PROBLEM: 
1. Newly flashed device with extras enabled only
2. apt-get update
3. apt-get install python2.5 gnome-python

EXPECTED OUTCOME:
Install successful

ACTUAL OUTCOME:
apt-get install python2.5 gnome-python
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  gnome-python: Depends: python-all but it is not going to be installed
E: Broken packages

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
I assume cause is because python-all did NOT get promoted along with the others
python packages, hence it's lagging behind.

Nokia-N900:~# apt-cache policy python
python:
  Installed: (none)
  Candidate: 2.5.2-3maemo4
  Version table:
     2.5.2-3maemo4 0
        500 http://repository.maemo.org fremantle-1.2/free Packages
     2.5.2-3maemo3 0
        500 http://repository.maemo.org fremantle-1.2/free Packages
        100 /var/lib/dpkg/status
Nokia-N900:~# apt-cache policy python-all
python-all:
  Installed: (none)
  Candidate: 2.5.2-3maemo3
  Version table:
     2.5.2-3maemo3 0
        500 http://repository.maemo.org fremantle-1.2/free Packages
Comment 1 Bruno Araujo 2010-07-30 18:45:23 UTC
*** Bug 11030 has been marked as a duplicate of this bug. ***
Comment 2 Andrew Flegg maemo.org 2010-08-03 11:30:25 UTC
Increasing severity as impact on end-user Extras experience is dramatic.
Comment 3 Niels Breet maemo.org 2010-08-04 13:32:16 UTC
Pushed package in manually. Will now try to find out why it didn't get promoted
as dependency/build-dependency as it should have.